# OAuth Authorization Request The authorization endpoint is used to interact with the resource owner and obtain an authorization grant. See https://datatracker.ietf.org/doc/html/rfc6749#section-3.1 for details. At the end of the flow it will send a code value back to/via the redirecttion URL specified in the client’s config & initial request (as they need to be the same). Endpoint: POST /oauth/authorize Security: basic, X-PriceFx-jwt ## Query parameters: - `response_type` (string, required) Value MUST be set to "code". - `client_id` (string, required) The client identifier. - `redirect_uri` (string) The URL to redirect to after authorization has been granted. - `scope` (string) The scope of the access request. - `state` (string) An opaque value used by the client to maintain state between the request and callback. ## Response 302 fields